[61942] trunk/dports/fuse/macfuse

macsforever2000 at macports.org macsforever2000 at macports.org
Thu Dec 24 07:22:41 PST 2009


Revision: 61942
          http://trac.macports.org/changeset/61942
Author:   macsforever2000 at macports.org
Date:     2009-12-24 07:22:38 -0800 (Thu, 24 Dec 2009)
Log Message:
-----------
Fix for Leopard. (#23007)

Modified Paths:
--------------
    trunk/dports/fuse/macfuse/Portfile

Added Paths:
-----------
    trunk/dports/fuse/macfuse/files/patch-10.5_fusefs_fusefs.xcodeproj_project.pbxproj.diff

Removed Paths:
-------------
    trunk/dports/fuse/macfuse/files/patch-10.4-project.pbxproj
    trunk/dports/fuse/macfuse/files/patch-10.4_libfuse_fuse-2.7.3-macosx.patch.diff
    trunk/dports/fuse/macfuse/files/patch-10.5-packaging-macfuse-core-make-pkg.sh
    trunk/dports/fuse/macfuse/files/patch-10.5-project.pbxproj
    trunk/dports/fuse/macfuse/files/patch-build_macfuse.sh

Modified: trunk/dports/fuse/macfuse/Portfile
===================================================================
--- trunk/dports/fuse/macfuse/Portfile	2009-12-24 14:54:24 UTC (rev 61941)
+++ trunk/dports/fuse/macfuse/Portfile	2009-12-24 15:22:38 UTC (rev 61942)
@@ -32,7 +32,7 @@
                     patch-macfuse_buildtool.sh.diff \
                     patch-sdk-objc_GMUserFileSystem.m.diff \
                     patch-sdk-objc_MacFuse.xcodeproj.diff \
-                    patch-10.4_libfuse_fuse-2.7.3-macosx.patch.diff \
+                    patch-10.5_fusefs_fusefs.xcodeproj_project.pbxproj.diff \
                     patch-10.5_libfuse_fuse-2.7.3-macosx.patch.diff \
                     patch-10.6_libfuse_fuse-2.7.3-macosx.patch.diff
 
@@ -46,10 +46,10 @@
     # and we don't want to error out if someone says +universal
 }
 
-# ensure that user is running OS X 10.4 or higher
+# ensure that user is running OS X 10.5 or higher: MacFUSE requires XCode 3
 pre-fetch {
-    if {${os.platform} != "darwin" || [rpm-vercomp ${os.version} 8.0.0] < 0} {
-        return -code error "MacFUSE requires at least Mac OS X 10.4 to run"
+    if {${os.platform} != "darwin" || [rpm-vercomp ${os.version} 9.0.0] < 0} {
+        return -code error "MacFUSE requires at least Mac OS X 10.5 to build"
     }
 }
 
@@ -64,6 +64,7 @@
 post-patch {
     reinplace s,/usr/local,${prefix},g ${worksrcpath}/macfuse_buildtool.sh
     reinplace s,/usr/local,${prefix},g ${worksrcpath}/sdk-objc/MacFUSE.xcodeproj/project.pbxproj
+    reinplace s,@@PREFIX@@,${prefix},g ${worksrcpath}/10.5/libfuse/fuse-2.7.3-macosx.patch
     reinplace s,@@PREFIX@@,${prefix},g ${worksrcpath}/10.6/libfuse/fuse-2.7.3-macosx.patch
     reinplace s,@@WORKPATH@@,${workpath},g ${worksrcpath}/macfuse_buildtool.sh
     reinplace s,@@DESTPATH@@,${destpath},g ${worksrcpath}/macfuse_buildtool.sh

Deleted: trunk/dports/fuse/macfuse/files/patch-10.4-project.pbxproj
===================================================================
--- trunk/dports/fuse/macfuse/files/patch-10.4-project.pbxproj	2009-12-24 14:54:24 UTC (rev 61941)
+++ trunk/dports/fuse/macfuse/files/patch-10.4-project.pbxproj	2009-12-24 15:22:38 UTC (rev 61942)
@@ -1,11 +0,0 @@
---- 10.4/fusefs/fusefs.xcodeproj/project.pbxproj.old	2008-12-03 15:22:06.000000000 -0800
-+++ 10.4/fusefs/fusefs.xcodeproj/project.pbxproj	2008-12-03 15:22:10.000000000 -0800
-@@ -471,7 +471,7 @@
- 			);
- 			runOnlyForDeploymentPostprocessing = 0;
- 			shellPath = /bin/sh;
--			shellScript = "# Create MacFUSE Tarball\n\nPATH=/bin:/sbin:/usr/bin:/usr/sbin:/Developer/Tools:/Developer/Applications\n\nCMD_BZIP2=bzip2\nCMD_CHMOD=chmod\nCMD_CHOWN=chown\nCMD_CP=cp\nCMD_ID=id\nCMD_LN=ln\nCMD_MAKE=make\nCMD_MKDIR=mkdir\nCMD_PATCH=patch\nCMD_RM=rm\nCMD_TAR=tar\nCMD_XCODEBUILD=xcodebuild\n\n# If we are not running as root, just bail out.\nmy_uid=`$CMD_ID -u`\nif [ $my_uid != 0 ]\nthen\n    exit 0\nfi\n\nMACFUSE_CORE_VERSIONED_NAME=macfuse-core-\"$OS_VERSION\"-\"$MACFUSE_VERSION\"\n\nMACFUSE_OUT_NAME=macfuse_out-\"$OS_VERSION\"\nMACFUSE_OUT=\"/tmp/$MACFUSE_OUT_NAME\"\nMACFUSE_BUILD=\"$MACFUSE_OUT/build/\"\nMACFUSE_ROOT=\"$MACFUSE_OUT/pkgroot/\"\nMACFUSE_BUNDLE_NAME=fusefs.fs\n\nsudo $CMD_RM -rf $MACFUSE_OUT                             || exit 1\nsudo $CMD_MKDIR -p $MACFUSE_BUILD                         || exit 1\nsudo $CMD_MKDIR -p $MACFUSE_ROOT                          || exit 1\nsudo $CMD_MKDIR -p $MACFUSE_ROOT/System/Library/Filesystems/ || exit 1\nsudo $CMD_MKDIR -p $MACFUSE_ROOT/Library/Frameworks/      || exit 1\nsudo $CMD_MKDIR -p $MACFUSE_ROOT/usr/local/lib/           || exit 1\nsudo $CMD_MKDIR -p $MACFUSE_ROOT/usr/local/include/       || exit 1\nsudo $CMD_MKDIR -p $MACFUSE_ROOT/usr/local/lib/pkgconfig/ || exit 1\n\nMACFUSE_BUNDLE_DIR=\"$MACFUSE_ROOT/System/Library/Filesystems/$MACFUSE_BUNDLE_NAME\"\nMACFUSE_BUNDLE_SUPPORT_DIR=\"$MACFUSE_BUNDLE_DIR/Support\"\n\nsudo $CMD_CP -pR \"$BUILT_PRODUCTS_DIR/fusefs.fs\" \"$MACFUSE_BUNDLE_DIR\"                         || exit 1\nsudo $CMD_MKDIR -p \"$MACFUSE_BUNDLE_SUPPORT_DIR\"                                               || exit 1\nsudo $CMD_CP -pR \"$BUILT_PRODUCTS_DIR/fusefs.kext\" \"$MACFUSE_BUNDLE_SUPPORT_DIR/fusefs.kext\"   || exit 1\nsudo $CMD_CP -pR \"$BUILT_PRODUCTS_DIR/load_fusefs\" \"$MACFUSE_BUNDLE_SUPPORT_DIR/load_fusefs\"   || exit 1\nsudo $CMD_CP -pR \"$BUILT_PRODUCTS_DIR/mount_fusefs\" \"$MACFUSE_BUNDLE_SUPPORT_DIR/mount_fusefs\" || exit 1\n\n# Build the user-space FUSE library\nsudo $CMD_TAR -C \"$MACFUSE_BUILD\" -xzf \"$PROJECT_DIR/../libfuse/fuse-current.tar.gz\" || exit 1\nsudo $CMD_CHOWN -R root:wheel \"$MACFUSE_BUILD\"/fuse*                                 || exit 1\ncd \"$MACFUSE_BUILD\"/fuse*                                                            || exit 1\nsudo $CMD_PATCH -p1 < \"$PROJECT_DIR/../libfuse/fuse-current-macosx.patch\"            || exit 1\nsudo /bin/sh ./darwin_configure.sh \"$PROJECT_DIR\"                                    || exit 1\nsudo $CMD_MAKE -j2                                                                   || exit 1\nsudo $CMD_MAKE install DESTDIR=\"$MACFUSE_ROOT\"                                       || exit 1\n#sudo $CMD_LN -s libfuse.dylib \"$MACFUSE_ROOT\"/usr/local/lib/libfuse.0.dylib          || exit 1\n\n# Build MacFUSE.framework\ncd \"$PROJECT_DIR/../../sdk-objc\"                                             || exit 1\nsudo $CMD_XCODEBUILD -configuration Release \"MACFUSE_BUILD_ROOT=$MACFUSE_ROOT\" \"MACFUSE_BUNDLE_VERSION_LITERAL=$MACFUSE_VERSION\" \"CUSTOM_CFLAGS=-DMACFUSE_TARGET_OS=MAC_OS_X_VERSION_10_4\" || exit 1\nsudo $CMD_CP -pR build/Release/*.framework $MACFUSE_ROOT/Library/Frameworks/ || exit 1\n\nsudo $CMD_CHOWN -R root:wheel \"$MACFUSE_ROOT\"/*               || exit 1\nsudo $CMD_CHMOD u+s \"$MACFUSE_BUNDLE_SUPPORT_DIR/load_fusefs\" || exit 1\nsudo $CMD_CHOWN root:admin $MACFUSE_ROOT/Library/             || exit 1\nsudo $CMD_CHOWN -R root:admin $MACFUSE_ROOT/Library/Frameworks|| exit 1\nsudo $CMD_CHMOD 0775 $MACFUSE_ROOT/Library/Frameworks         || exit 1\nsudo $CMD_CHMOD 1775 $MACFUSE_ROOT/Library/                   || exit 1\n\ncd \"$MACFUSE_ROOT\" || exit 1\n\nsudo $CMD_RM -f /tmp/\"$MACFUSE_CORE_VERSIONED_NAME\".tar*                                    || exit 1\nsudo $CMD_RM -rf \"/tmp/$MACFUSE_CORE_VERSIONED_NAME\"                                        || exit 1\nsudo $CMD_MKDIR -p \"/tmp/$MACFUSE_CORE_VERSIONED_NAME\"                                      || exit 1\nsudo $CMD_TAR -cpf \"/tmp/$MACFUSE_CORE_VERSIONED_NAME\"/\"$MACFUSE_CORE_VERSIONED_NAME\".tar . || exit 1\ncd \"/tmp/$MACFUSE_CORE_VERSIONED_NAME\"                                                      || exit 1\nsudo $CMD_BZIP2 -9 \"$MACFUSE_CORE_VERSIONED_NAME\".tar                                       || exit 1\nsudo $CMD_RM -rf \"/tmp/$MACFUSE_OUT_NAME\"                                                   || exit 1\n\n# Create the MacFUSE Installer Package\n\ncd \"$PROJECT_DIR/../packaging/macfuse-core/\" && sudo ./make-pkg.sh \"$OS_VERSION\" \"$MACFUSE_VERSION\"";
-+			shellScript = "# Create MacFUSE Tarball\n\nPATH=/bin:/sbin:/usr/bin:/usr/sbin:/Developer/Tools:/Developer/Applications\n\nCMD_BZIP2=bzip2\nCMD_CHMOD=chmod\nCMD_CHOWN=chown\nCMD_CP=/bin/cp\nCMD_ID=id\nCMD_LN=ln\nCMD_MAKE=make\nCMD_MKDIR=mkdir\nCMD_PATCH=patch\nCMD_RM=rm\nCMD_TAR=tar\nCMD_XCODEBUILD=xcodebuild\n\n# If we are not running as root, just bail out.\nmy_uid=`$CMD_ID -u`\nif [ $my_uid != 0 ]\nthen\n    exit 0\nfi\n\nMACFUSE_CORE_VERSIONED_NAME=macfuse-core-\"$OS_VERSION\"-\"$MACFUSE_VERSION\"\n\nMACFUSE_OUT_NAME=macfuse_out-\"$OS_VERSION\"\nMACFUSE_OUT=\"/tmp/$MACFUSE_OUT_NAME\"\nMACFUSE_BUILD=\"$MACFUSE_OUT/build/\"\nMACFUSE_ROOT=\"$MACFUSE_OUT/pkgroot/\"\nMACFUSE_BUNDLE_NAME=fusefs.fs\n\nsudo $CMD_RM -rf $MACFUSE_OUT                             || exit 1\nsudo $CMD_MKDIR -p $MACFUSE_BUILD                         || exit 1\nsudo $CMD_MKDIR -p $MACFUSE_ROOT                          || exit 1\nsudo $CMD_MKDIR -p $MACFUSE_ROOT/System/Library/Filesystems/ || exit 1\nsudo $CMD_MKDIR -p $MACFUSE_ROOT/Library/Frameworks/      || exit 1\nsudo $CMD_MKDIR -p $MACFUSE_ROOT/usr/local/lib/           || exit 1\nsudo $CMD_MKDIR -p $MACFUSE_ROOT/usr/local/include/       || exit 1\nsudo $CMD_MKDIR -p $MACFUSE_ROOT/usr/local/lib/pkgconfig/ || exit 1\n\nMACFUSE_BUNDLE_DIR=\"$MACFUSE_ROOT/System/Library/Filesystems/$MACFUSE_BUNDLE_NAME\"\nMACFUSE_BUNDLE_SUPPORT_DIR=\"$MACFUSE_BUNDLE_DIR/Support\"\n\nsudo $CMD_CP -pR \"$BUILT_PRODUCTS_DIR/fusefs.fs\" \"$MACFUSE_BUNDLE_DIR\"                         || exit 1\nsudo $CMD_MKDIR -p \"$MACFUSE_BUNDLE_SUPPORT_DIR\"                                               || exit 1\nsudo $CMD_CP -pR \"$BUILT_PRODUCTS_DIR/fusefs.kext\" \"$MACFUSE_BUNDLE_SUPPORT_DIR/fusefs.kext\"   || exit 1\nsudo $CMD_CP -pR \"$BUILT_PRODUCTS_DIR/load_fusefs\" \"$MACFUSE_BUNDLE_SUPPORT_DIR/load_fusefs\"   || exit 1\nsudo $CMD_CP -pR \"$BUILT_PRODUCTS_DIR/mount_fusefs\" \"$MACFUSE_BUNDLE_SUPPORT_DIR/mount_fusefs\" || exit 1\n\n# Build the user-space FUSE library\nsudo $CMD_TAR -C \"$MACFUSE_BUILD\" -xzf \"$PROJECT_DIR/../libfuse/fuse-current.tar.gz\" || exit 1\nsudo $CMD_CHOWN -R root:wheel \"$MACFUSE_BUILD\"/fuse*                                 || exit 1\ncd \"$MACFUSE_BUILD\"/fuse*                                                            || exit 1\nsudo $CMD_PATCH -p1 < \"$PROJECT_DIR/../libfuse/fuse-current-macosx.patch\"            || exit 1\nsudo /bin/sh ./darwin_configure.sh \"$PROJECT_DIR\"                                    || exit 1\nsudo $CMD_MAKE -j2                                                                   || exit 1\nsudo $CMD_MAKE install DESTDIR=\"$MACFUSE_ROOT\"                                       || exit 1\n#sudo $CMD_LN -s libfuse.dylib \"$MACFUSE_ROOT\"/usr/local/lib/libfuse.0.dylib          || exit 1\n\n# Build MacFUSE.framework\ncd \"$PROJECT_DIR/../../sdk-objc\"                                             || exit 1\nsudo $CMD_XCODEBUILD -configuration Release \"MACFUSE_BUILD_ROOT=$MACFUSE_ROOT\" \"MACFUSE_BUNDLE_VERSION_LITERAL=$MACFUSE_VERSION\" \"CUSTOM_CFLAGS=-DMACFUSE_TARGET_OS=MAC_OS_X_VERSION_10_4\" || exit 1\nsudo $CMD_CP -pR build/Release/*.framework $MACFUSE_ROOT/Library/Frameworks/ || exit 1\n\nsudo $CMD_CHOWN -R root:wheel \"$MACFUSE_ROOT\"/*               || exit 1\nsudo $CMD_CHMOD u+s \"$MACFUSE_BUNDLE_SUPPORT_DIR/load_fusefs\" || exit 1\nsudo $CMD_CHOWN root:admin $MACFUSE_ROOT/Library/             || exit 1\nsudo $CMD_CHOWN -R root:admin $MACFUSE_ROOT/Library/Frameworks|| exit 1\nsudo $CMD_CHMOD 0775 $MACFUSE_ROOT/Library/Frameworks         || exit 1\nsudo $CMD_CHMOD 1775 $MACFUSE_ROOT/Library/                   || exit 1\n\ncd \"$MACFUSE_ROOT\" || exit 1\n\nsudo $CMD_RM -f /tmp/\"$MACFUSE_CORE_VERSIONED_NAME\".tar*                                    || exit 1\nsudo $CMD_RM -rf \"/tmp/$MACFUSE_CORE_VERSIONED_NAME\"                                        || exit 1\nsudo $CMD_MKDIR -p \"/tmp/$MACFUSE_CORE_VERSIONED_NAME\"                                      || exit 1\nsudo $CMD_TAR -cpf \"/tmp/$MACFUSE_CORE_VERSIONED_NAME\"/\"$MACFUSE_CORE_VERSIONED_NAME\".tar . || exit 1\ncd \"/tmp/$MACFUSE_CORE_VERSIONED_NAME\"                                                      || exit 1\nsudo $CMD_BZIP2 -9 \"$MACFUSE_CORE_VERSIONED_NAME\".tar                                       || exit 1\nsudo $CMD_RM -rf \"/tmp/$MACFUSE_OUT_NAME\"                                                   || exit 1\n\n# Create the MacFUSE Installer Package\n\ncd \"$PROJECT_DIR/../packaging/macfuse-core/\" && sudo ./make-pkg.sh \"$OS_VERSION\" \"$MACFUSE_VERSION\"";
- 		};
- /* End PBXShellScriptBuildPhase section */
- 

Deleted: trunk/dports/fuse/macfuse/files/patch-10.4_libfuse_fuse-2.7.3-macosx.patch.diff
===================================================================
--- trunk/dports/fuse/macfuse/files/patch-10.4_libfuse_fuse-2.7.3-macosx.patch.diff	2009-12-24 14:54:24 UTC (rev 61941)
+++ trunk/dports/fuse/macfuse/files/patch-10.4_libfuse_fuse-2.7.3-macosx.patch.diff	2009-12-24 15:22:38 UTC (rev 61942)
@@ -1,11 +0,0 @@
---- 10.4/libfuse/fuse-2.7.3-macosx.patch	2008-11-27 01:24:43.000000000 -0500
-+++ 10.4/libfuse/fuse-2.7.3-macosx.patch	2009-12-22 22:57:03.000000000 -0500
-@@ -37609,7 +37609,7 @@
- +MACFUSE_SRCROOT=${MACFUSE_SRCROOT:-$1}
- +MACFUSE_SRCROOT=${MACFUSE_SRCROOT:?}
- +
--+CC=gcc-4.0 CFLAGS="-D__FreeBSD__=10 -D_POSIX_C_SOURCE=200112L -I$MACFUSE_SRCROOT/common -O -g -arch i386 -arch ppc -isysroot /Developer/SDKs/MacOSX10.4u.sdk -mmacosx-version-min=10.4" LDFLAGS="-arch i386 -arch ppc -Wl,-no_uuid -framework CoreFoundation" ./configure --prefix=/usr/local --disable-dependency-tracking --disable-static
-++CC=gcc-4.0 CFLAGS="-D__FreeBSD__=10 -D_POSIX_C_SOURCE=200112L -I$MACFUSE_SRCROOT/common -O -g -arch i386 -arch ppc -isysroot /Developer/SDKs/MacOSX10.4u.sdk -mmacosx-version-min=10.4" LDFLAGS="-arch i386 -arch ppc -Wl,-no_uuid -framework CoreFoundation" ./configure --prefix=@PREFIX@ --disable-dependency-tracking --disable-static
- diff -Naur old/example/Makefile.am new/example/Makefile.am
- --- old/example/Makefile.am	2008-02-19 11:51:22.000000000 -0800
- +++ new/example/Makefile.am	2008-11-26 22:23:12.000000000 -0800

Deleted: trunk/dports/fuse/macfuse/files/patch-10.5-packaging-macfuse-core-make-pkg.sh
===================================================================
--- trunk/dports/fuse/macfuse/files/patch-10.5-packaging-macfuse-core-make-pkg.sh	2009-12-24 14:54:24 UTC (rev 61941)
+++ trunk/dports/fuse/macfuse/files/patch-10.5-packaging-macfuse-core-make-pkg.sh	2009-12-24 15:22:38 UTC (rev 61942)
@@ -1,38 +0,0 @@
---- 10.5/packaging/macfuse-core/make-pkg.sh.old	2008-12-03 15:25:16.000000000 -0800
-+++ 10.5/packaging/macfuse-core/make-pkg.sh	2008-12-03 15:25:43.000000000 -0800
-@@ -88,7 +88,7 @@
- 
- # Copy the uninstall script
- UNINSTALL_DST="$DISTRIBUTION_FOLDER/Library/Filesystems/fusefs.fs/Support/uninstall-macfuse-core.sh"
--sudo cp "$UNINSTALL_SCRIPT" "$UNINSTALL_DST"
-+sudo /bin/cp "$UNINSTALL_SCRIPT" "$UNINSTALL_DST"
- sudo chmod 755 "$UNINSTALL_DST"
- sudo chown root:wheel "$UNINSTALL_DST"
- 
-@@ -131,7 +131,7 @@
- VOLUME_PATH="/Volumes/$VOLUME_NAME"
- 
- # Copy over the package.
--sudo cp -pRX "$OUTPUT_PACKAGE" "$VOLUME_PATH"
-+sudo /bin/cp -pRX "$OUTPUT_PACKAGE" "$VOLUME_PATH"
- if [ $? -ne 0 ]
- then
-     hdiutil detach "$VOLUME_PATH"
-@@ -139,14 +139,14 @@
- fi
- 
- # Set the custom icon.
--sudo cp -pRX "$INSTALL_RESOURCES/.VolumeIcon.icns" "$VOLUME_PATH"/.VolumeIcon.icns
-+sudo /bin/cp -pRX "$INSTALL_RESOURCES/.VolumeIcon.icns" "$VOLUME_PATH"/.VolumeIcon.icns
- sudo /Developer/Tools/SetFile -a C "$VOLUME_PATH"
- 
- # Copy over the license file.
--sudo cp "$INSTALL_RESOURCES/License.rtf" "$VOLUME_PATH"/License.rtf
-+sudo /bin/cp "$INSTALL_RESOURCES/License.rtf" "$VOLUME_PATH"/License.rtf
- 
- # Copy over the CHANGELOG.txt.
--sudo cp "../../../../CHANGELOG.txt" "$VOLUME_PATH"/CHANGELOG.txt
-+sudo /bin/cp "../../../../CHANGELOG.txt" "$VOLUME_PATH"/CHANGELOG.txt
- 
- # Detach the volume.
- hdiutil detach "$VOLUME_PATH"

Deleted: trunk/dports/fuse/macfuse/files/patch-10.5-project.pbxproj
===================================================================
--- trunk/dports/fuse/macfuse/files/patch-10.5-project.pbxproj	2009-12-24 14:54:24 UTC (rev 61941)
+++ trunk/dports/fuse/macfuse/files/patch-10.5-project.pbxproj	2009-12-24 15:22:38 UTC (rev 61942)
@@ -1,11 +0,0 @@
---- 10.5/fusefs/fusefs.xcodeproj/project.pbxproj.old	2008-12-03 15:23:43.000000000 -0800
-+++ 10.5/fusefs/fusefs.xcodeproj/project.pbxproj	2008-12-03 15:24:12.000000000 -0800
-@@ -473,7 +473,7 @@
- 			);
- 			runOnlyForDeploymentPostprocessing = 0;
- 			shellPath = /bin/sh;
--			shellScript = "# Create MacFUSE Tarball\n\nPATH=/bin:/sbin:/usr/bin:/usr/sbin:/Developer/Tools:/Developer/Applications\n\nCMD_BZIP2=bzip2\nCMD_CHMOD=chmod\nCMD_CHOWN=chown\nCMD_CP=cp\nCMD_ID=id\nCMD_LN=ln\nCMD_MAKE=make\nCMD_MKDIR=mkdir\nCMD_PATCH=patch\nCMD_RM=rm\nCMD_TAR=tar\nCMD_XCODEBUILD=xcodebuild\n\n# If we are not running as root, just bail out.\nmy_uid=`$CMD_ID -u`\nif [ $my_uid != 0 ]\nthen\n    exit 0\nfi\n\nMACFUSE_CORE_VERSIONED_NAME=macfuse-core-\"$OS_VERSION\"-\"$MACFUSE_VERSION\"\n\nMACFUSE_OUT_NAME=macfuse_out-\"$OS_VERSION\"\nMACFUSE_OUT=\"/tmp/$MACFUSE_OUT_NAME\"\nMACFUSE_BUILD=\"$MACFUSE_OUT/build/\"\nMACFUSE_ROOT=\"$MACFUSE_OUT/pkgroot/\"\nMACFUSE_BUNDLE_NAME=fusefs.fs\n\nsudo $CMD_RM -rf $MACFUSE_OUT                             || exit 1\nsudo $CMD_MKDIR -p $MACFUSE_BUILD                         || exit 1\nsudo $CMD_MKDIR -p $MACFUSE_ROOT                          || exit 1\nsudo $CMD_MKDIR -p $MACFUSE_ROOT/Library/Filesystems/     || exit 1\nsudo $CMD_MKDIR -p $MACFUSE_ROOT/Library/Frameworks/      || exit 1\nsudo $CMD_MKDIR -p $MACFUSE_ROOT/usr/local/lib/           || exit 1\nsudo $CMD_MKDIR -p $MACFUSE_ROOT/usr/local/include/       || exit 1\nsudo $CMD_MKDIR -p $MACFUSE_ROOT/usr/local/lib/pkgconfig/ || exit 1\n\nMACFUSE_BUNDLE_DIR=\"$MACFUSE_ROOT/Library/Filesystems/$MACFUSE_BUNDLE_NAME\"\nMACFUSE_BUNDLE_SUPPORT_DIR=\"$MACFUSE_BUNDLE_DIR/Support\"\n\nsudo $CMD_CP -pRX \"$BUILT_PRODUCTS_DIR/fusefs.fs\" \"$MACFUSE_BUNDLE_DIR\"                         || exit 1\nsudo $CMD_MKDIR -p \"$MACFUSE_BUNDLE_SUPPORT_DIR\"                                                || exit 1\nsudo $CMD_CP -pRX \"$BUILT_PRODUCTS_DIR/fusefs.kext\" \"$MACFUSE_BUNDLE_SUPPORT_DIR/fusefs.kext\"   || exit 1\nsudo $CMD_CP -pRX \"$BUILT_PRODUCTS_DIR/load_fusefs\" \"$MACFUSE_BUNDLE_SUPPORT_DIR/load_fusefs\"   || exit 1\nsudo $CMD_CP -pRX \"$BUILT_PRODUCTS_DIR/mount_fusefs\" \"$MACFUSE_BUNDLE_SUPPORT_DIR/mount_fusefs\" || exit 1\n\n# Build the user-space FUSE library\nsudo $CMD_TAR -C \"$MACFUSE_BUILD\" -xzf \"$PROJECT_DIR/../libfuse/fuse-current.tar.gz\" || exit 1\nsudo $CMD_CHOWN -R root:wheel \"$MACFUSE_BUILD\"/fuse*                                 || exit 1\ncd \"$MACFUSE_BUILD\"/fuse*                                                            || exit 1\nsudo $CMD_PATCH -p1 < \"$PROJECT_DIR/../libfuse/fuse-current-macosx.patch\"            || exit 1\nsudo /bin/sh ./darwin_configure.sh \"$PROJECT_DIR\"                                    || exit 1\nsudo $CMD_MAKE -j2                                                                   || exit 1\nsudo $CMD_MAKE install DESTDIR=\"$MACFUSE_ROOT\"                                       || exit 1\n#sudo $CMD_LN -s libfuse.dylib \"$MACFUSE_ROOT\"/usr/local/lib/libfuse.0.dylib          || exit 1\n\n# Build MacFUSE.framework\ncd \"$PROJECT_DIR/../../sdk-objc\"                                              || exit 1\nsudo $CMD_XCODEBUILD -configuration Release \"MACFUSE_BUILD_ROOT=$MACFUSE_ROOT\" \"MACFUSE_BUNDLE_VERSION_LITERAL=$MACFUSE_VERSION\" || exit 1\nsudo $CMD_CP -pRX build/Release/*.framework $MACFUSE_ROOT/Library/Frameworks/ || exit 1\n\nsudo $CMD_CHOWN -R root:wheel \"$MACFUSE_ROOT\"/*               || exit 1\nsudo $CMD_CHMOD u+s \"$MACFUSE_BUNDLE_SUPPORT_DIR/load_fusefs\" || exit 1\nsudo $CMD_CHOWN root:admin $MACFUSE_ROOT/Library/             || exit 1\nsudo $CMD_CHOWN -R root:admin $MACFUSE_ROOT/Library/Frameworks|| exit 1\nsudo $CMD_CHMOD 0775 $MACFUSE_ROOT/Library/Frameworks         || exit 1\nsudo $CMD_CHMOD 1775 $MACFUSE_ROOT/Library/                   || exit 1\nsudo $CMD_CHMOD -h 755 `find $MACFUSE_ROOT/usr/local/lib -type l`       # no exit upon error\nsudo $CMD_CHMOD -h 755 `find $MACFUSE_ROOT/Library/Frameworks/ -type l` # no exit upon error\n\ncd \"$MACFUSE_ROOT\" || exit 1\n\nsudo $CMD_RM -f /tmp/\"$MACFUSE_CORE_VERSIONED_NAME\".tar*                                    || exit 1\nsudo $CMD_RM -rf \"/tmp/$MACFUSE_CORE_VERSIONED_NAME\"                                        || exit 1\nsudo $CMD_MKDIR -p \"/tmp/$MACFUSE_CORE_VERSIONED_NAME\"                                      || exit 1\nsudo $CMD_TAR -cpf \"/tmp/$MACFUSE_CORE_VERSIONED_NAME\"/\"$MACFUSE_CORE_VERSIONED_NAME\".tar . || exit 1\ncd \"/tmp/$MACFUSE_CORE_VERSIONED_NAME\"                                                      || exit 1\nsudo $CMD_BZIP2 -9 \"$MACFUSE_CORE_VERSIONED_NAME\".tar                                       || exit 1\nsudo $CMD_RM -rf \"/tmp/$MACFUSE_OUT_NAME\"                                                   || exit 1\n\n# Create the MacFUSE Installer Package\n\ncd \"$PROJECT_DIR/../packaging/macfuse-core/\" && sudo ./make-pkg.sh \"$OS_VERSION\" \"$MACFUSE_VERSION\"";
-+			shellScript = "# Create MacFUSE Tarball\n\nPATH=/bin:/sbin:/usr/bin:/usr/sbin:/Developer/Tools:/Developer/Applications\n\nCMD_BZIP2=bzip2\nCMD_CHMOD=chmod\nCMD_CHOWN=chown\nCMD_CP=/bin/cp\nCMD_ID=id\nCMD_LN=ln\nCMD_MAKE=make\nCMD_MKDIR=mkdir\nCMD_PATCH=patch\nCMD_RM=rm\nCMD_TAR=tar\nCMD_XCODEBUILD=xcodebuild\n\n# If we are not running as root, just bail out.\nmy_uid=`$CMD_ID -u`\nif [ $my_uid != 0 ]\nthen\n    exit 0\nfi\n\nMACFUSE_CORE_VERSIONED_NAME=macfuse-core-\"$OS_VERSION\"-\"$MACFUSE_VERSION\"\n\nMACFUSE_OUT_NAME=macfuse_out-\"$OS_VERSION\"\nMACFUSE_OUT=\"/tmp/$MACFUSE_OUT_NAME\"\nMACFUSE_BUILD=\"$MACFUSE_OUT/build/\"\nMACFUSE_ROOT=\"$MACFUSE_OUT/pkgroot/\"\nMACFUSE_BUNDLE_NAME=fusefs.fs\n\nsudo $CMD_RM -rf $MACFUSE_OUT                             || exit 1\nsudo $CMD_MKDIR -p $MACFUSE_BUILD                         || exit 1\nsudo $CMD_MKDIR -p $MACFUSE_ROOT                          || exit 1\nsudo $CMD_MKDIR -p $MACFUSE_ROOT/Library/Filesystems/     || exit 1\nsudo $CMD_MKDIR -p $MACFUSE_ROOT/Library/Frameworks/      || exit 1\nsudo $CMD_MKDIR -p $MACFUSE_ROOT/usr/local/lib/           || exit 1\nsudo $CMD_MKDIR -p $MACFUSE_ROOT/usr/local/include/       || exit 1\nsudo $CMD_MKDIR -p $MACFUSE_ROOT/usr/local/lib/pkgconfig/ || exit 1\n\nMACFUSE_BUNDLE_DIR=\"$MACFUSE_ROOT/Library/Filesystems/$MACFUSE_BUNDLE_NAME\"\nMACFUSE_BUNDLE_SUPPORT_DIR=\"$MACFUSE_BUNDLE_DIR/Support\"\n\nsudo $CMD_CP -pRX \"$BUILT_PRODUCTS_DIR/fusefs.fs\" \"$MACFUSE_BUNDLE_DIR\"                         || exit 1\nsudo $CMD_MKDIR -p \"$MACFUSE_BUNDLE_SUPPORT_DIR\"                                                || exit 1\nsudo $CMD_CP -pRX \"$BUILT_PRODUCTS_DIR/fusefs.kext\" \"$MACFUSE_BUNDLE_SUPPORT_DIR/fusefs.kext\"   || exit 1\nsudo $CMD_CP -pRX \"$BUILT_PRODUCTS_DIR/load_fusefs\" \"$MACFUSE_BUNDLE_SUPPORT_DIR/load_fusefs\"   || exit 1\nsudo $CMD_CP -pRX \"$BUILT_PRODUCTS_DIR/mount_fusefs\" \"$MACFUSE_BUNDLE_SUPPORT_DIR/mount_fusefs\" || exit 1\n\n# Build the user-space FUSE library\nsudo $CMD_TAR -C \"$MACFUSE_BUILD\" -xzf \"$PROJECT_DIR/../libfuse/fuse-current.tar.gz\" || exit 1\nsudo $CMD_CHOWN -R root:wheel \"$MACFUSE_BUILD\"/fuse*                                 || exit 1\ncd \"$MACFUSE_BUILD\"/fuse*                                                            || exit 1\nsudo $CMD_PATCH -p1 < \"$PROJECT_DIR/../libfuse/fuse-current-macosx.patch\"            || exit 1\nsudo /bin/sh ./darwin_configure.sh \"$PROJECT_DIR\"                                    || exit 1\nsudo $CMD_MAKE -j2                                                                   || exit 1\nsudo $CMD_MAKE install DESTDIR=\"$MACFUSE_ROOT\"                                       || exit 1\n#sudo $CMD_LN -s libfuse.dylib \"$MACFUSE_ROOT\"/usr/local/lib/libfuse.0.dylib          || exit 1\n\n# Build MacFUSE.framework\ncd \"$PROJECT_DIR/../../sdk-objc\"                                              || exit 1\nsudo $CMD_XCODEBUILD -configuration Release \"MACFUSE_BUILD_ROOT=$MACFUSE_ROOT\" \"MACFUSE_BUNDLE_VERSION_LITERAL=$MACFUSE_VERSION\" || exit 1\nsudo $CMD_CP -pRX build/Release/*.framework $MACFUSE_ROOT/Library/Frameworks/ || exit 1\n\nsudo $CMD_CHOWN -R root:wheel \"$MACFUSE_ROOT\"/*               || exit 1\nsudo $CMD_CHMOD u+s \"$MACFUSE_BUNDLE_SUPPORT_DIR/load_fusefs\" || exit 1\nsudo $CMD_CHOWN root:admin $MACFUSE_ROOT/Library/             || exit 1\nsudo $CMD_CHOWN -R root:admin $MACFUSE_ROOT/Library/Frameworks|| exit 1\nsudo $CMD_CHMOD 0775 $MACFUSE_ROOT/Library/Frameworks         || exit 1\nsudo $CMD_CHMOD 1775 $MACFUSE_ROOT/Library/                   || exit 1\nsudo $CMD_CHMOD -h 755 `find $MACFUSE_ROOT/usr/local/lib -type l`       # no exit upon error\nsudo $CMD_CHMOD -h 755 `find $MACFUSE_ROOT/Library/Frameworks/ -type l` # no exit upon error\n\ncd \"$MACFUSE_ROOT\" || exit 1\n\nsudo $CMD_RM -f /tmp/\"$MACFUSE_CORE_VERSIONED_NAME\".tar*                                    || exit 1\nsudo $CMD_RM -rf \"/tmp/$MACFUSE_CORE_VERSIONED_NAME\"                                        || exit 1\nsudo $CMD_MKDIR -p \"/tmp/$MACFUSE_CORE_VERSIONED_NAME\"                                      || exit 1\nsudo $CMD_TAR -cpf \"/tmp/$MACFUSE_CORE_VERSIONED_NAME\"/\"$MACFUSE_CORE_VERSIONED_NAME\".tar . || exit 1\ncd \"/tmp/$MACFUSE_CORE_VERSIONED_NAME\"                                                      || exit 1\nsudo $CMD_BZIP2 -9 \"$MACFUSE_CORE_VERSIONED_NAME\".tar                                       || exit 1\nsudo $CMD_RM -rf \"/tmp/$MACFUSE_OUT_NAME\"                                                   || exit 1\n\n# Create the MacFUSE Installer Package\n\ncd \"$PROJECT_DIR/../packaging/macfuse-core/\" && sudo ./make-pkg.sh \"$OS_VERSION\" \"$MACFUSE_VERSION\"";
- 		};
- /* End PBXShellScriptBuildPhase section */
- 

Added: trunk/dports/fuse/macfuse/files/patch-10.5_fusefs_fusefs.xcodeproj_project.pbxproj.diff
===================================================================
--- trunk/dports/fuse/macfuse/files/patch-10.5_fusefs_fusefs.xcodeproj_project.pbxproj.diff	                        (rev 0)
+++ trunk/dports/fuse/macfuse/files/patch-10.5_fusefs_fusefs.xcodeproj_project.pbxproj.diff	2009-12-24 15:22:38 UTC (rev 61942)
@@ -0,0 +1,20 @@
+--- 10.5/fusefs/fusefs.xcodeproj/project.pbxproj	2008-11-06 15:41:14.000000000 -0800
++++ 10.5/fusefs/fusefs.xcodeproj/project.pbxproj	2009-12-23 19:18:15.000000000 -0800
+@@ -551,7 +551,7 @@
+ 			baseConfigurationReference = 54A06B920C9DE6060045DC0D /* MacFUSE.xcconfig */;
+ 			buildSettings = {
+ 				ARCHS = (
+-					x86_64,
++					/*x86_64,*/
+ 					i386,
+ 					ppc,
+ 				);
+@@ -613,7 +613,7 @@
+ 			baseConfigurationReference = 54A06B920C9DE6060045DC0D /* MacFUSE.xcconfig */;
+ 			buildSettings = {
+ 				ARCHS = (
+-					x86_64,
++					/*x86_64,*/
+ 					i386,
+ 					ppc,
+ 				);

Deleted: trunk/dports/fuse/macfuse/files/patch-build_macfuse.sh
===================================================================
--- trunk/dports/fuse/macfuse/files/patch-build_macfuse.sh	2009-12-24 14:54:24 UTC (rev 61941)
+++ trunk/dports/fuse/macfuse/files/patch-build_macfuse.sh	2009-12-24 15:22:38 UTC (rev 61942)
@@ -1,16 +0,0 @@
---- build_macfuse.sh
-+++ build_macfuse.sh
-@@ -52,11 +52,11 @@ case "$os_release" in
-       exit 0
-   ;;
-   8*)
--      src_dir="$macfuse_dir/core/10.4/fusefs/"
-+      src_dir="$macfuse_dir/macfuse-core/10.4/fusefs/"
-       os_codename="Tiger"
-   ;;
-   9*)
--      src_dir="$macfuse_dir/core/10.5/fusefs/"
-+      src_dir="$macfuse_dir/macfuse-core/10.5/fusefs/"
-       os_codename="Leopard"
-   ;;
-   *)
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://lists.macosforge.org/pipermail/macports-changes/attachments/20091224/a5ad1550/attachment-0001.html>


More information about the macports-changes mailing list